import { EventEmitter } from "../../stencil-public-runtime";
import { Criteria } from "selectively";
import { Account, Order } from "@payfunc/model";
export declare class PayfuncAccounts {
  updateAccounts: EventEmitter;
  accounts?: Account[];
  orders?: {
    [id: string]: Order[] | undefined;
  };
  filter?: Criteria;
  whitelist?: boolean;
  accountsFiltered?: Account[];
  selected: {
    [id: string]: Account | undefined;
  };
  componentWillLoad(): void;
  accountsChanged(): void;
  handleFilterChanged(event: CustomEvent<Account[]>): void;
  handleSelectedChanged(event: CustomEvent<{
    [id: string]: Account | undefined;
  }>): void;
  private onCreate;
  render(): any[];
}
